%define version 4.0.5
%define release 1mdk
%define name		omniorb
%define lib_name_orig	lib%{name}
%define lib_major	4
%define lib_name	%mklibname %{name} %{lib_major}
%{expand:%%define py_ver %(python -V 2>&1| awk '{print $2}'|cut -d. -f1-2)}

# virtual (ie empty) package to enforce naming convention

Summary:	Object Request Broker (ORB) from AT&T (CORBA 2.3)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source0:	omniORB-%{version}.tar.bz2
Source1:	omniEvents-2_4_0-src.tar.bz2
Source2:	omniORB.cfg
Source3:	omninames
URL:		http://omniorb.sourceforge.net/
BuildRequires:	perl tcl tk glibc-devel
BuildRequires:	python >= %{py_ver}
BuildRequires:	python-devel >=  %{py_ver}
BuildRequires:	openssl-devel
Provides:	corba
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	%{lib_name} = %version
ExclusiveArch:	ppc i586

%description
omniORB is an Object Request Broker (ORB) from AT&T which implements
specification 2.3 of the Common Object Request Broker Architecture (CORBA).

Warning:
Before release 4.0.0, it contains OmnyORBpy, now it is a separate package.

# main package (contains *.so.[major].*, and binaries)

%package -n	%{lib_name}
Summary:	Object Request Broker (ORB) from AT&T (CORBA 2.3)
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

Warning:
Before release 4.0.0, it contains OmnyORBpy, now it is a separate package.

%package -n	%{lib_name}-devel
Summary:	Header files and libraries needed for %{name} development
Group:		Development/C++
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
This package includes the header files and libraries needed for
developing programs using %{name}.

Warning:
Before release 4.0.0, it contains OmnyORBpy, now it is a separate package.

# docs and examples are in a separate package

%package -n	%{lib_name_orig}-doc
Summary:	Header files and libraries needed for %{name} development
Group:		Development/C++
Requires:	%{name} = %{version}
Provides:	%{lib_name_orig}-doc
Provides:	%{name}-doc
Provides:	%{lib_name_orig}3-doc
Obsoletes:	%{lib_name_orig}3-doc

%description -n	%{lib_name_orig}-doc
This package includes developers doc including examples.

Warning:
Before release 4.0.0, it contains OmnyORBpy, now it is a separate package.

%prep 
%setup -n omniORB-%{version} -q -a1

%build
%configure --with-openssl=%{_prefix}
%make

%install
[ -d %buildroot ] && rm -rf %buildroot

%makeinstall_std
###### directories #####

install -m 755 -d %buildroot%{_mandir}/{man1,man5}
install -m 755 -d %buildroot%_sysconfdir/init.d
install -m 755 -d %buildroot/var/omninames/

##### copy files #####

install -m 644 %{SOURCE2} %buildroot%_sysconfdir
install -m 755 %{SOURCE3} %buildroot%_sysconfdir/init.d/omninames

install -m 644 man/man1/* %buildroot%{_mandir}/man1/
#install -m 644 man/man5/* %buildroot%{_mandir}/man5/

mkdir -p  %buildroot/var/log/omninames
chmod 755 %buildroot/%{_includedir}/{omnithread,COS,omniORB4,omniORB4/internal}

%clean
[ -z %buildroot ] || rm -rf %buildroot

%post   -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr (-,root,root)
%doc CREDITS bugfixes* ReleaseNotes_%{version}.txt
%_bindir/*
%config(noreplace) %_sysconfdir/*.cfg
%config(noreplace) %_sysconfdir/init.d/*
%attr(644,root,man)  %{_mandir}/man1/*
%dir %attr(754,root,root) /var/log/omninames

%files -n %{lib_name}
%defattr (-,root,root)
%{_libdir}/*.so.*
%_libdir/python%{py_ver}/site-packages/_omniidlmodule.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README* 
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*
%_datadir/idl/omniORB/*.idl
%_datadir/idl/omniORB/COS/*.idl
%_libdir/pkgconfig/*
%_libdir/python%{py_ver}/site-packages/omniidl/*
%_libdir/python%{py_ver}/site-packages/omniidl_be/*.py*
%_libdir/python%{py_ver}/site-packages/omniidl_be/cxx/*.py
%_libdir/python%{py_ver}/site-packages/omniidl_be/cxx/*.pyc
%_libdir/python%{py_ver}/site-packages/omniidl_be/cxx/header/*
%_libdir/python%{py_ver}/site-packages/omniidl_be/cxx/skel/*
%_libdir/python%{py_ver}/site-packages/omniidl_be/cxx/dynskel/*
%_libdir/python%{py_ver}/site-packages/omniidl_be/cxx/impl/*
%_libdir/python%{py_ver}/site-packages/_omniidlmodule.so

%files -n %{lib_name_orig}-doc
%defattr(-,root,root)
%doc doc/*

%changelog
* Tue Jan 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.0.5-1mdk
- 4.0.5

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 4.0.3-5mdk
- Rebuild for new python

* Fri Jul 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.3-4mdk
- rebuild

* Tue Feb 24 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 4.0.3-3mdk
- fix initscript (S3, from Dirk O. Siebnich <dok@dok-net.net>)

* Sat Dec 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 4.0.3-2mdk
- fix provides
- fix obsolete-not-provided

* Sat Dec 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 4.0.3-1mdk
- from Dirk O. Siebnich <dok@dok-net.net>:
	o 4.0.3

* Sat Nov 01 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 4.0.2-3mdk
- from Dirk O. Siebnich <dok@dok-net.net>:
	o finally drop omniORBpy-2.2.tar.bz2 in favour of separate package
	o update omniORB.cfg to new syntax

* Fri Oct 31 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 4.0.2-2mdk
- fix problem with new boolean type in python 2.3 (P0, thx to Dirk O. Siebnich)

* Thu Oct 30 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 4.0.2-1mdk
- omniORB 4.0.2
- omniEvent 2.1.2
- omniORBpy 2.2
- fix buildrequires (lib64..)
- minor fixes

* Sat Aug 09 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 4.0.1-2mdk
- rebuild for new python
- use %%mklibname

* Thu Apr 10 2003 HA Quc-Vit <viet@mandrakesoft.com> 4.0.1-1mdk
- omniORB 4.0.1
- omniEvents 2.1.1
- omniORBpy 2.1

* Fri Nov 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.0-2mdk
- remove man page 5 (conflict with other rpm)

* Tue Nov 26 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.0-1mdk
- 4.0.0
- omniORBpy is now in separate package
- Use configure

* Mon Nov 25 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.05-4mdk
- really fix Provides/Requires
- fix unpackaged files

* Wed Sep 25 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.05-3mdk
- rebuild against libstdc++ (why nobody notice that, bugzilla include ?)
- Fix Provides/Requires

* Sat Jun 22 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.05-2mdk
- add support multi-arches
	Only i586/ppc are set, works is prepare for other...

* Thu Jun 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.05-1mdk
- 3.05

* Tue May 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.04-6mdk
- rebuilt against new libstdc++

* Tue Mar 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 3.04-5mdk
- Rebuild with python 2.2
- Fix default config filename in build
- Fix configuration file to use new config syntax
- Fix startup script to use /var/log/omninames for log files

* Sun Oct 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.04-4mdk
- create a new initscript to make sure omniNames is launched 
- for now don't provide man5 page since it conflict with other rpm

* Sat Oct 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.04-3mdk
- fix /etc/omniORB.cfg

* Fri Oct 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.04-2mdk
- provides essential python files
- set up link against /usr/bin/omnicpp
- provides man5
- spec cleaning

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.04-1mdk
- 3.04
- split

* Wed Jun 13 2001 HA Quc-Vit <viet@mandrakesoft.com> 3.03-1mdk
- Initial release
- TODO check that the event service is usable
- TODO add the update patch
- TODO add other contrib services
- TODO sort out which shared libraries and binaries are really needed
- TODO setup a working Naming Service
- TODO add a hook for RPM_OPT_FLAGS
